enableSaving [false, false];

sleep 1;

// Draw a red line and a red icon in front of the camera position
addMissionEventHandler ["Draw3D",
{
	drawIcon3D ["\A3\ui_f\data\map\vehicleicons\iconManMedic_ca.paa", [1, 0, 0, 1], positionCameraToWorld [0.15, 0.15, 1], 1, 1, 0, "Text", 1, 0.05, "PuristaMedium"];
	drawLine3D [positionCameraToWorld [-1, 2, 10], positionCameraToWorld [1, 4, 10], [1, 0, 0, 1]];
}];

player globalChat "In player camera for 4 seconds...";
sleep 4;

/*******************************************
**** DEMO WITHOUT cameraEffectEnableHUG ****
*******************************************/
// Create the camera
_cam = "camera" camCreate positionCameraToWorld [0, 3, -3];
_cam cameraEffect ["Internal", "BACK"];
showCinemaBorder false;
_cam camCommit 0;

player globalChat "In camera without cameraEffectEnableHUD for 4 seconds...";
sleep 4;
_cam cameraEffect ["Terminate", "BACK"];
camDestroy _cam;

/****************************************
**** DEMO WITH cameraEffectEnableHUG ****
****************************************/
// Create the camera
_cam = "camera" camCreate positionCameraToWorld [0, 3, -3];
_cam cameraEffect ["Internal", "BACK"];
showCinemaBorder false;
cameraEffectEnableHUD true; // <===== This command allows rendering the "drawIcon3D" <======
_cam camCommit 0;

player globalChat "In camera WITH cameraEffectEnableHUD for 4 seconds...";
sleep 4;
_cam cameraEffect ["Terminate", "BACK"];
camDestroy _cam;

player globalChat "End of the demo";